{combine_script id='jquery.chosen' load='footer' path='themes/default/js/plugins/chosen.jquery.min.js'}
{combine_css path="themes/default/js/plugins/chosen.css"}

{footer_script}{literal}
jQuery(document).ready(function() {
	jQuery(".chzn-select").chosen();

	function checkStatusOptions(speed) {
		if ($("#ecard_granted_groups_users").prop('checked') == true || $("#ecard_denied_groups_users").prop('checked') == true) {
			jQuery("#ecard_authorized_groups_users_options").show(speed);
		} else {
			jQuery("#ecard_authorized_groups_users_options").hide(speed);
		}
	}
	
	function checkGrantedDenied() {
		if ($("#ecard_granted_groups_users").prop('checked') == true) {
			$("#nb_users_selected_indirect_granted").css("display", "inline");
			$("#nb_users_selected_indirect_denied").css("display", "none");
		} else if ($("#ecard_denied_groups_users").prop('checked') == true) {
			$("#nb_users_selected_indirect_denied").css("display", "inline");
			$("#nb_users_selected_indirect_granted").css("display", "none");
		}
	}

	checkGrantedDenied();
	checkStatusOptions();
	jQuery("#ecard_authorized_groups_users").change(function() {
		checkGrantedDenied();
		checkStatusOptions("fast");
	});

	jQuery("#indirectPermissionsDetailsShow").click(function(){
		jQuery("#indirectPermissionsDetailsShow").hide();
		jQuery("#indirectPermissionsDetailsHide").show();
		jQuery("#indirectPermissionsDetails").show();
		return false;
	});

	jQuery("#indirectPermissionsDetailsHide").click(function(){
		jQuery("#indirectPermissionsDetailsShow").show();
		jQuery("#indirectPermissionsDetailsHide").hide();
		jQuery("#indirectPermissionsDetails").hide();
		return false;
	});
});
{/literal}{/footer_script}

{footer_script}
{literal}
$(document).ready(function(){
	if ($("#ecard_selected_cats").prop('checked') == true) {
		$("#ecard_selected_cats_options").css("display","block");
	} else {
		$("#ecard_selected_cats_options").css("display","none");
	}
	if ($("#ecard_user_cats").prop('checked') == true) {
		$("#ecard_user_cats_options").css("display","block");
	} else {
		$("#ecard_user_cats_options").css("display","none");
	}

	$("#ECardAdminPermissions").click(function(){
		if ($("#ecard_selected_cats").prop('checked') == true) {
			$("#ecard_selected_cats_options").show("fast");
		} else {
			$("#ecard_selected_cats_options").hide("fast");
		}
		if ($("#ecard_user_cats").prop('checked') == true) {
			$("#ecard_user_cats_options").show("fast");
		} else {
			$("#ecard_user_cats_options").hide("fast");
		}
	});
});
{/literal}
{/footer_script}

<div class="titrePage">
	<h2>{'piwecard_plugin'|@translate}</h2>
</div>
<form method="post" action="">
	<div id="ECardAdminPermissions">
		<fieldset>
			<legend>{'piwecard_permissions_cat'|@translate}</legend>
			<div class="ecard_radio">
				<input type="radio" name="ecard_authorized_cats" id="ecard_all_cats" value="all" {$ecard.all_cats_checked} /><label for="ecard_all_cats"> {'piwecard_permissions_all_cats'|@translate}</label>
			</div>
			<div class="ecard_radio">
				<input type="radio" name="ecard_authorized_cats" id="ecard_selected_cats" value="selected" {$ecard.selected_cats_checked}><label for="ecard_selected_cats"> {'piwecard_permissions_selected_cats'|@translate}</label>
				<div id="ecard_selected_cats_options">
					<div>
						{$DOUBLE_SELECT}
					</div>
				</div>
			</div>
			<div class="ecard_radio">
				<input type="radio" name="ecard_authorized_cats" id="ecard_user_cats" value="user" {$ecard.user_cats_checked} /><label for="ecard_user_cats"> {'piwecard_permissions_user_cat'|@translate}</label>
				<div id="ecard_user_cats_options">
					<label><input type="checkbox" id="ecard_user_cats_case_sensitive" name="ecard_user_cats_case_sensitive" {$ecard.user_cats_case_sensitive} value="1" /> {'piwecard_user_cats_case_sensitive'|@translate}</label>
				</div>
			</div>
		</fieldset>
		<fieldset id="ecard_authorized_groups_users">
			<legend>{'piwecard_permissions_groups_users'|@translate}</legend>
			<div class="ecard_radio">
				<input type="radio" name="ecard_authorized_groups_users" id="ecard_all_groups_users" value="all" {$ecard.all_groups_users_checked} /><label for="ecard_all_groups_users"> {'piwecard_permissions_all_groups_users'|@translate}</label>
			</div>
			<div class="ecard_radio">
				<input type="radio" name="ecard_authorized_groups_users" id="ecard_granted_groups_users" value="granted" {$ecard.granted_groups_users_checked} /><label for="ecard_granted_groups_users"> {'piwecard_permissions_granted_groups_users'|@translate}</label>
			</div>
			<div class="ecard_radio">
				<input type="radio" name="ecard_authorized_groups_users" id="ecard_denied_groups_users" value="denied" {$ecard.denied_groups_users_checked} /><label for="ecard_denied_groups_users"> {'piwecard_permissions_denied_groups_users'|@translate}</label>
			</div>
		</fieldset>
		<fieldset id="ecard_authorized_groups_users_options">
			<legend>{'Groups and users'|@translate}</legend>
			<div>
				{if count($groups) > 0}
					<div>{'Groups'|@translate}</div>
					<div>
						<select data-placeholder="{'Select groups...'|@translate}" class="chzn-select" multiple style="width:700px;" name="groups[]">
							{html_options options=$groups selected=$piwecard_selected_groups}
						</select>
					</div>
				{else}
					{'There is no group in this gallery.'|@translate} <a href="admin.php?page=group_list" class="externalLink">{'Group management'|@translate}</a>
				{/if}
			</div>
			<div>
				<div>{'Users'|@translate}</div>
				<div>
					<select data-placeholder="{'Select users...'|@translate}" class="chzn-select" multiple style="width:700px;" name="users[]">
						{html_options options=$users selected=$piwecard_selected_users}
					</select>
				</div>
			</div>
			{if isset($nb_users_selected_indirect)}
				<div>
					<span id="nb_users_selected_indirect_granted" {$nb_users_selected_indirect_style.granted}>{'%u users have automatic permission because they belong to a granted group.'|@translate|@sprintf:$nb_users_selected_indirect}</span>
					<span id="nb_users_selected_indirect_denied" {$nb_users_selected_indirect_style.denied}>{'piwecard_authorized_groups_users_denied'|@translate|@sprintf:$nb_users_selected_indirect}</span>
					<a href="#" id="indirectPermissionsDetailsHide" style="display:none">{'hide details'|@translate}</a>
					<a href="#" id="indirectPermissionsDetailsShow">{'show details'|@translate}</a>
					<ul id="indirectPermissionsDetails" style="display:none">
						{foreach from=$user_selected_indirect_groups item=group_details}
							<li><span>{$group_details.group_name}</span> : {$group_details.group_users}</li>
						{/foreach}
					</ul>
				</div>
			{/if}
		</fieldset>
		<div id="ecard_submit">
			<input type="submit" name="submit" value="{'Submit'|@translate}" />
		</div>
	</div>
</form>